lang/spl - The NetBSD Packages Collection

The SPL Programming Language

SPL is a powerful scripting language. It is very feature-rich (hashes, regular
expressions, objects, exceptions, built-in template language, etc. pp.) and has
a c-style syntax. The Name "SPL" is a left-recursive acronym and expands to "SPL
Programming Language". The name was meant to be pronounced as an acronym, but
I've already heard people pronouncing it "spell", which is also fine with me.

The SPL VM is a pure bytecode interpeter. Support for JIT compilation or
generating machine code for the host CPU is not planed and doesn't make much
sense for various technical reasons. The entire SPL toolchain (compiler,
assembler, virtual machine, etc) is pretty small (about 100k on x86
architectures). The additional memory usage by the applications is rather small
too. One of the more advanced VM features is the capability to dump the entire
VM state to a file and resume later. It is even possible to resume on another
machine with a different architecture.

SPL has support for loadable modules. The spl package contains already modules
for stuff such as accessing SQL databases (SQLite, Postgres, MySQL), XML (incl.
XPATH and XSLT), Terminal and File IO, Web Application development (the CGI, WSF
and W2T (Web 2.0 Toolkit) modules), SDL, Qt and much more.

SPL currently supports Linux, BSD Systems, other POSIX environments, MacOS-X
(Darwin), SGI IRIX, Cygwin and native Win32 (using MinGW).

Build dependencies

pkgtools/mktools shells/bash lang/gawk devel/gmake pkgtools/cwrappers

Runtime dependencies

devel/pcre devel/pcre

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64spl-1.0pre3nb29.tgz
NetBSD 10.0aarch64spl-1.0pre3nb28.tgz
NetBSD 10.0aarch64spl-1.0pre3nb29.tgz
NetBSD 10.0aarch64ebspl-1.0pre3nb29.tgz
NetBSD 10.0aarch64ebspl-1.0pre3nb29.tgz
NetBSD 10.0alphaspl-1.0pre3nb29.tgz
NetBSD 10.0earmv6hfspl-1.0pre3nb28.tgz
NetBSD 10.0earmv6hfspl-1.0pre3nb29.tgz
NetBSD 10.0earmv6hfspl-1.0pre3nb29.tgz
NetBSD 10.0earmv7hfspl-1.0pre3nb28.tgz
NetBSD 10.0earmv7hfspl-1.0pre3nb29.tgz
NetBSD 10.0earmv7hfspl-1.0pre3nb29.tgz
NetBSD 10.0i386spl-1.0pre3nb28.tgz
NetBSD 10.0powerpcspl-1.0pre3nb29.tgz
NetBSD 10.0powerpcspl-1.0pre3nb28.tgz
NetBSD 10.0powerpcspl-1.0pre3nb29.tgz
NetBSD 10.0x86_64spl-1.0pre3nb29.tgz
NetBSD 10.0x86_64spl-1.0pre3nb28.tgz
NetBSD 8.0i386spl-1.0pre3nb29.tgz
NetBSD 8.0i386spl-1.0pre3nb28.tgz
NetBSD 8.0i386spl-1.0pre3nb29.tgz
NetBSD 8.0powerpcspl-1.0pre3nb29.tgz
NetBSD 8.0powerpcspl-1.0pre3nb27.tgz
NetBSD 8.0powerpcspl-1.0pre3nb29.tgz
NetBSD 8.0powerpcspl-1.0pre3nb29.tgz
NetBSD 8.0x86_64spl-1.0pre3nb29.tgz
NetBSD 8.0x86_64spl-1.0pre3nb28.tgz
NetBSD 8.0x86_64spl-1.0pre3nb29.tgz
NetBSD 9.0aarch64spl-1.0pre3nb29.tgz
NetBSD 9.0aarch64spl-1.0pre3nb28.tgz
NetBSD 9.0aarch64spl-1.0pre3nb29.tgz
NetBSD 9.0alphaspl-1.0pre3nb29.tgz
NetBSD 9.0earmspl-1.0pre3nb29.tgz
NetBSD 9.0earmv6hfspl-1.0pre3nb29.tgz
NetBSD 9.0earmv6hfspl-1.0pre3nb28.tgz
NetBSD 9.0earmv6hfspl-1.0pre3nb29.tgz
NetBSD 9.0earmv7hfspl-1.0pre3nb28.tgz
NetBSD 9.0earmv7hfspl-1.0pre3nb29.tgz
NetBSD 9.0earmv7hfspl-1.0pre3nb29.tgz
NetBSD 9.0i386spl-1.0pre3nb29.tgz
NetBSD 9.0i386spl-1.0pre3nb28.tgz
NetBSD 9.0i386spl-1.0pre3nb29.tgz
NetBSD 9.0mips64ebspl-1.0pre3nb29.tgz
NetBSD 9.0powerpcspl-1.0pre3nb29.tgz
NetBSD 9.0powerpcspl-1.0pre3nb28.tgz
NetBSD 9.0powerpcspl-1.0pre3nb28.tgz
NetBSD 9.0powerpcspl-1.0pre3nb29.tgz
NetBSD 9.0sparc64spl-1.0pre3nb29.tgz
NetBSD 9.0sparc64spl-1.0pre3nb29.tgz
NetBSD 9.0sparcspl-1.0pre3nb29.tgz
NetBSD 9.0x86_64spl-1.0pre3nb29.tgz
NetBSD 9.0x86_64spl-1.0pre3nb28.tgz
NetBSD 9.0x86_64spl-1.0pre3nb29.tgz
NetBSD 9.0x86_64spl-1.0pre3nb28.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

sqlite
Enable SQLite support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.